package com.bocloud.cmp.model;

import java.math.BigDecimal;
import java.util.List;

/**
 * 云主机业务类
 *
 * @author DZG
 * @since V1.0 2016年9月12日
 */
public class CloudServerBean {
    private Long id; // ID
    private String name; // 名称
    private String remark; // 描述
    private Integer cpu;
    private Integer disk;
    private BigDecimal memory;
    private Integer extendDisk;
    private String datastore;
    private List<NetcardOperation> operations;
    private List<Integer> disks;
    private Long skuId;
    private Integer priority;
    private Boolean ha;
    private Boolean isTemplate;
    private String cfgstorage;

    public Boolean getTemplate() {
        return isTemplate;
    }

    public void setTemplate(Boolean template) {
        isTemplate = template;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the cpu
     */
    public Integer getCpu() {
        return cpu;
    }

    /**
     * @param cpu the cpu to set
     */
    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

    /**
     * @return the disk
     */
    public Integer getDisk() {
        return disk;
    }

    /**
     * @param disk the disk to set
     */
    public void setDisk(Integer disk) {
        this.disk = disk;
    }

    /**
     * @return the memory
     */
    public BigDecimal getMemory() {
        return memory;
    }

    /**
     * @param memory the memory to set
     */
    public void setMemory(BigDecimal memory) {
        this.memory = memory;
    }

    /**
     * @return the extendDisk
     */
    public Integer getExtendDisk() {
        return extendDisk;
    }

    /**
     * @param extendDisk the extendDisk to set
     */
    public void setExtendDisk(Integer extendDisk) {
        this.extendDisk = extendDisk;
    }

    /**
     * @return the datastore
     */
    public String getDatastore() {
        return datastore;
    }

    /**
     * @param datastore the datastore to set
     */
    public void setDatastore(String datastore) {
        this.datastore = datastore;
    }

    /**
     * @return the operations
     */
    public List<NetcardOperation> getOperations() {
        return operations;
    }

    /**
     * @param operations the operations to set
     */
    public void setOperations(List<NetcardOperation> operations) {
        this.operations = operations;
    }

    public List<Integer> getDisks() {
        return disks;
    }

    public void setDisks(List<Integer> disks) {
        this.disks = disks;
    }

	public Long getSkuId() {
		return skuId;
	}

	public void setSkuId(Long skuId) {
		this.skuId = skuId;
	}

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public Boolean getHa() {
        return ha;
    }

    public void setHa(Boolean ha) {
        this.ha = ha;
    }

    public String getCfgstorage() {
        return cfgstorage;
    }

    public void setCfgstorage(String cfgstorage) {
        this.cfgstorage = cfgstorage;
    }
}
